[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TFields.Add

Add a new field to the list

## Declaration

Source position: db.pas line 1148

`public procedure TFields.Add(`
`Field: TField`
`);`

## Arguments

`Field` |  | TField instance to add to the list of fields.

## Description

Add must be used to add a new TField instance to the list of fields. After a TField instance is added to the list, the TFields instance will free the field instance if it is cleared.

## See also

TField |  | Provide access to the contents of a single field in a record
TFields.Clear |  | Clear the list of fields